Get the results of the scheduled transactions report as an xlsx file

​

Body·

application/json
  • The partner to filter by

  • Integer numbers.

    values
    Client = 1Carrier = 2
  • The start date in the schedule date range

  • The end date in the schedule date range

  • Integer numbers.

    values
    Draft = 1Approved = 2

Responses

  • OK

Request Example for post/v1/reports/scheduled-transactions/xlsx
curl https://api.consignlyhq.com/v1/reports/scheduled-transactions/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "scheduleDateFrom": "date (YYYY-MM-DD)",
  "scheduleDateTo": "date (YYYY-MM-DD)",
  "scheduleStatus": "enum (Draft = 1, Approved = 2)",
  "partnerRelationship": "enum (Client = 1, Carrier = 2)",
  "partnerId": null
}'
No Body